#!/bin/bash
#
#从nacos里踢除服务
curl -X POST 'http://localhost:8075/actuator/shutdown'
sleep 5
# 获取PID
#pid=`ps -ef | grep [p]ortal-open-v0.0.1.jar | awk '{print $2}'`

# 查询进程是否存在
#ps aux | grep [p]ortal-open-v0.0.1.jar

# 如进程存在，则kill
#if [ $? -eq 0 ];then
#	kill $pid
#fi
ps -ef | grep [p]ortal-open-v0.0.1.jar | grep -v "portal-open.sh" | grep -v grep| awk '{print $2}'|xargs kill -9
sleep 5

cd /data/TSP/
# 检查jar包是否存在
if [ -f portal-open-v0.0.1.jar ];then
	mv portal-open-v0.0.1.jar ./backups/portal-open-v0.0.1.jar-$(date +%F_%H-%M)
fi

# jar包重命名
mv /data/TSP/portal-open-v0.0.1.jar.1 /data/TSP/portal-open-v0.0.1.jar
sleep 5
# 运行jar包
nohup java -Xms2g -Xmx2g -Xmn1g -XX:MetaspaceSize=256m -XX:MaxMetaspaceSize=512m -XX:MaxDirectMemorySize=512m -XX:+PrintGCDetails -XX:+PrintGCDateStamps -Xloggc:/data/TSP_LOG/gclog/portal-open.log -javaagent:/opt/agent/skywalking-agent.jar  -Dskywalking.agent.service_name=portal-open-1 -Dskywalking.collector.backend_service=10.20.80.124:11800,10.20.20.183:11800,10.20.50.2:11800 -javaagent:/opt/prometheus-jvm/jmx_prometheus_javaagent-0.14.0.jar=27005:/opt/prometheus-jvm/prometheus-jmx-config.yaml -jar -Dspring.profiles.active=prod -Dfile.encoding=UTF-8 -Duser.timezone=GMT+08 /data/TSP/portal-open-v0.0.1.jar > /data/logs/portal-open.log 2>&1 &
cd
sleep 5
pid=`ps -ef | grep [p]ortal-open-v0.0.1.jar | grep -v "portal-open.sh" | grep -v grep| awk '{print $2}'`
if [ "$pid" == "" ]; then
        echo '启动不正常，再次启动'>/tmp/1-open.txt
	nohup java -Xms2g -Xmx2g -Xmn1g -XX:MetaspaceSize=256m -XX:MaxMetaspaceSize=512m -XX:MaxDirectMemorySize=512m -XX:+PrintGCDetails -XX:+PrintGCDateStamps -Xloggc:/data/TSP_LOG/gclog/portal-open.log -javaagent:/opt/agent/skywalking-agent.jar  -Dskywalking.agent.service_name=portal-open-1 -Dskywalking.collector.backend_service=10.20.80.124:11800,10.20.20.183:11800,10.20.50.2:11800 -javaagent:/opt/prometheus-jvm/jmx_prometheus_javaagent-0.14.0.jar=27005:/opt/prometheus-jvm/prometheus-jmx-config.yaml -jar -Dspring.profiles.active=prod -Dfile.encoding=UTF-8 -Duser.timezone=GMT+08 /data/TSP/portal-open-v0.0.1.jar > /data/logs/portal-open.log 2>&1 &
else
        echo '正常'>/tmp/2-open.txt
fi
cd
exit 0
